/***********************************************************************
 * Module:  IXmPlayerEventDispather.aidl
 * Author:  chadwii
 * Purpose: Defines the Interface IXmPlayerEventDispather
 ***********************************************************************/
package com.ximalaya.ting.android.opensdk.player.service;

import com.ximalaya.ting.android.opensdk.model.track.Track;
import com.ximalaya.ting.android.opensdk.player.service.ICheckPlayCallBack;

interface IXmCommonBusinessDispatcher
{
	
	String getDownloadPlayPath(in Track track);
    void isOldTrackDownload(in Track track);
    void closeApp();
    //播放声音前禁止播放广告，即将播放完的声音，即将开始的声音
    boolean isTrackPlayStartBeforeForbidSoundAd(in Track playCompleteTrack,in Track playStartTrack);

    //播放声音前，判断是否需要播放广告，播放广告结束后自行控制接着往下播放
    //是否需要在主播放像视频，图片等广告
    boolean playTrackBeforeCheckNeedPlayAdInMain(in Track playCompleteTrack,in Track playStartTrack, int playMethod);

    //当前声音播放完成需要定时关闭，当前声音播放结束需要关闭本集
    void setCurSoundPlayCompleteNeedTimeCloseInMain(boolean isNeedTimeClose);

    //收听时长达到xxx时间，单位是秒
    void onListenTimePointCallBackForInMain(int finishListenTimePointForSecond);

    //当前是否选中电台页面，声音播放页面
    boolean isCurPageIsTruckDianTaiPlayPageInMain();

    // 检查当前声音是否可播放
    void checkCanPlay(in Track track,in ICheckPlayCallBack callback);

    // 是否允许解锁vip专辑
    boolean isAllowUnlockVipAlbum();

    // 获取可用的播放时长
    long getAvailableListeningTime();

    boolean isVipUser();

    // 获取已听时长
    long getUsedListeningTime();
}